<template>
  <div>
    <h1>{{todo.title}}</h1>
    <p>{{todo.userId}}</p>
  </div>
</template>

<script>
  export default {
    data(){
      return{
        todo: {}
      }
    },
    created(){
      this.getTodo();
    },
    methods:{
      getTodo(){
        let endpoint = "https://jsonplaceholder.typicode.com/todos";
        let id = this.$route.params.id;
        this.axios.get( endpoint + "/" + id).then(( {data})=>{
          this.todo = data;
        })
      }
    }
  }
</script>

<style lang="scss" scoped>

</style>